Subject: bug#55743: 28.1.50; No directory error in comp-run-async-workers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jun 2022 13:48:56 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 02 Jun 2022 10:51:25 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > IMO, it's the other way around: any Lisp program that could
> > potentially trigger a subprocess, including compilation, should make
> > sure the default-directory is always valid.
> 
> No, the thing that starts the external process should ensure that it can
> do so.  See `with-existing-directory'.

Once again, how would you know what is the correct directory that will
allow the compilation (in this case) or any external process (in other
cases) DTRT?  The place where we invoke comp-run-async-workers cannot
possibly know enough about the compilation to make such decisions.